<template>
  <div class="stars" :style="{margin: margin[0] + 'px' + ' ' + margin[1] + 'px' + ' ' + margin[2] + 'px' + ' ' + margin[3] + 'px'}">
    <img
      v-for="i in stars"
      :key="'stars-active-'+i"
      :style="{width: size + 'px'}"
      src="../assets/images/icons/star-active.svg" alt="">
    <img
      v-for="i in countStars"
      :key="'stars-'+i"
      :style="{width: size + 'px'}"
      src="../assets/images/icons/star.svg" alt="">
  </div>
</template>

<script>
export default {
  name: "Stars",
  props: {
    stars: {
      type: Number,
      default: 5
    },
    size: Number,
    margin: {
      type: Array,
      default: () => {
        return [
          '0',
          '0',
          '0',
          '0'
        ]
      }
    }
  },
  computed: {
    countStars () {
      return 5 - this.stars
    }
  }
}
</script>

<style scoped lang="scss">
.stars {
  margin-bottom: 5px;
  display: flex;
  align-items: center;
}
img {
  margin-right: 8.67px;
  &:last-child {
    margin-right: 0;
  }
}
</style>
